Skip to content
Start here

Unlock Email Routing

client.EmailRouting.DNS.Edit(ctx, params) (*Settings, error)
PATCH/zones/{zone_id}/email/routing/dns

Unlock MX Records previously locked by Email Routing.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings Write
ParametersExpand Collapse
params DNSEditParams
ZoneID param.Field[string]

Path param: Identifier.

maxLength32
Name param.Field[string]optional

Body param: Domain of your zone.

ReturnsExpand Collapse
type Settings struct{…}
ID string

Email Routing settings identifier.

maxLength32
Enabled SettingsEnabled

State of the zone settings for Email Routing.

One of the following:
const SettingsEnabledTrue SettingsEnabled = true
const SettingsEnabledFalse SettingsEnabled = false
Name string

Domain of your zone.

Created Timeoptional

The date and time the settings have been created.

formatdate-time
Modified Timeoptional

The date and time the settings have been modified.

formatdate-time
SkipWizard SettingsSkipWizardoptional

Flag to check if the user skipped the configuration wizard.

One of the following:
const SettingsSkipWizardTrue SettingsSkipWizard = true
const SettingsSkipWizardFalse SettingsSkipWizard = false
Status SettingsStatusoptional

Show the state of your account, and the type or configuration error.

One of the following:
const SettingsStatusReady SettingsStatus = "ready"
const SettingsStatusUnconfigured SettingsStatus = "unconfigured"
const SettingsStatusMisconfigured SettingsStatus = "misconfigured"
const SettingsStatusMisconfiguredLocked SettingsStatus = "misconfigured/locked"
const SettingsStatusUnlocked SettingsStatus = "unlocked"
DeprecatedTag stringoptional

Email Routing settings tag. (Deprecated, replaced by Email Routing settings identifier)

maxLength32

Unlock Email Routing

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/email_routing"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  settings, err := client.EmailRouting.DNS.Edit(context.TODO(), email_routing.DNSEditParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", settings.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "75610dab9e69410a82cf7e400a09ecec",
    "enabled": true,
    "name": "example.net",
    "created": "2014-01-02T02:20:00Z",
    "modified": "2014-01-02T02:20:00Z",
    "skip_wizard": true,
    "status": "ready",
    "tag": "75610dab9e69410a82cf7e400a09ecec"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "75610dab9e69410a82cf7e400a09ecec",
    "enabled": true,
    "name": "example.net",
    "created": "2014-01-02T02:20:00Z",
    "modified": "2014-01-02T02:20:00Z",
    "skip_wizard": true,
    "status": "ready",
    "tag": "75610dab9e69410a82cf7e400a09ecec"
  }
}